## sogo 5.12.3

=== debian/changelog ===
sogo (5.12.3-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.12.3.
  * Refresh patches.
  * Added API.SOGo in sogo and sogo-common.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 18 Jul 2025 15:53:39 +0200

sogo (5.12.1-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.12.1.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 05 May 2025 10:04:13 +0200

sogo (5.12.0-1bit1) unstable; urgency=medium

  * New upstream release.
  * Add Alinto to copyright holders, update copyright years and download URL.
  * Bump libsope-dev Build-Dep to >= 5.12.0 for OpenID support.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 04 Apr 2025 15:49:19 +0200

sogo (5.11.2-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.11.2.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 25 Oct 2024 15:06:44 +0200

sogo (5.11.1-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.11.1.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 11 Oct 2024 13:01:29 +0200

sogo (5.11.0-1bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.11.0.
  * Refresh patches.
  * Update source lintian overrides.
  * Switch Build-Depend on pkg-config to pkgconf.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 12 Aug 2024 14:17:50 +0200
