## sogo 5.12.4

=== debian/changelog ===
sogo (5.12.4-1) unstable; urgency=medium

  * New upstream release.
  * Update sources download URL in copyright file.
  * Drop cherry-picked patch now included in the release.

 -- Jordi Mallach <jordi@debian.org>  Sun, 19 Oct 2025 15:47:51 +0200

sogo (5.12.3-2) unstable; urgency=medium

  * Add upstream patch to fix condition where appointments would show
    up at the wrong time.
  * Use HTTPS URLs in copyright file.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Tue, 23 Sep 2025 01:57:10 +0200

sogo (5.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches from git, now included in the release.
  * Unvendor punycode.js using copy from node-punycode.
  * Install new SOGo API files.

 -- Jordi Mallach <jordi@debian.org>  Sun, 27 Jul 2025 16:03:08 +0200
