## sogo 5.12.4.20251029

=== debian/changelog ===
sogo (5.12.4.20251029-1) xenial; urgency=low

  * updated to 5.12.4.20251029 

 -- Inverse Support <support@inverse.ca>  Wed, 29 Oct 2025 05:57:18 +0000
