## sogo 5.12.4.20251121

=== debian/changelog ===
sogo (5.12.4.20251121-1) bookworm; urgency=low

  * updated to 5.12.4.20251121 

 -- Inverse Support <support@inverse.ca>  Fri, 21 Nov 2025 07:42:55 +0000
