## sogo 5.12.4.20251207

=== debian/changelog ===
sogo (5.12.4.20251207-1) jessie; urgency=low

  * updated to 5.12.4.20251207

 -- Inverse Support <support@inverse.ca>  Sun, 07 Dec 2025 01:32:18 -0500
