## sogo 5.12.4.20251212

=== debian/changelog ===
sogo (5.12.4.20251212-1) bookworm; urgency=low

  * updated to 5.12.4.20251212 

 -- Inverse Support <support@inverse.ca>  Fri, 12 Dec 2025 07:42:14 +0000
