## sogo 5.12.4.20251221

=== debian/changelog ===
sogo (5.12.4.20251221-1) jessie; urgency=low

  * updated to 5.12.4.20251221

 -- Inverse Support <support@inverse.ca>  Sun, 21 Dec 2025 01:32:41 -0500
