## sogo 5.12.4.20260105

=== debian/changelog ===
sogo (5.12.4.20260105-1) bookworm; urgency=low

  * updated to 5.12.4.20260105 

 -- Inverse Support <support@inverse.ca>  Mon, 05 Jan 2026 07:43:29 +0000
