## sogo 5.12.4.20260302

=== debian/changelog ===
sogo (5.12.4.20260302-1) bullseye; urgency=low

  * updated to 5.12.4.20260302 

 -- Inverse Support <support@inverse.ca>  Mon, 02 Mar 2026 07:18:20 +0000
