## sogo 5.12.4.20260303

=== debian/changelog ===
sogo (5.12.4.20260303-1) jammy; urgency=low

  * updated to 5.12.4.20260303 

 -- Inverse Support <support@inverse.ca>  Tue, 03 Mar 2026 08:34:00 +0000
